QXmpp: QXmppFileMetadata Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppFileMetadata Class Reference

## Public Member Functions
const std::optional< QDateTime > & | lastModified () const
| Returns when the file was last modified.
void | setLastModified (const std::optional< QDateTime > &date)
| Sets when the file was last modified.
const std::optional< QString > & | description () const
| Returns the description of the file.
void | setDescription (const std::optional< QString > &description)
| Sets the description of the file.
const QVector< QXmppHash > & | hashes () const
| Returns the hashes of the file.
void | setHashes (const QVector< QXmppHash > &hashes)
| Sets the hashes of the file.
std::optional< uint32_t > | height () const
| Returns the height of the image.
void | setHeight (std::optional< uint32_t > height)
| Sets the height of the image.
std::optional< uint32_t > | length () const
| Returns the length of a video or audio file.
void | setLength (std::optional< uint32_t > length)
| Sets the length of a video or audio file.
const std::optional< QMimeType > & | mediaType () const
| Returns the media type of the file.
void | setMediaType (std::optional< QMimeType > mediaType)
| Sets the media type of the file.
std::optional< QString > | filename () const
| Returns the filename.
void | setFilename (std::optional< QString >)
| Sets the filename.
std::optional< uint64_t > | size () const
| Returns the size of the file in bytes.
void | setSize (std::optional< uint64_t > size)
| Sets the size of the file in bytes.
const QVector< QXmppThumbnail > & | thumbnails () const
| Returns the thumbnail references.
void | setThumbnails (const QVector< QXmppThumbnail > &thumbnail)
| Sets the thumbnail references.
std::optional< uint32_t > | width () const
| Returns the width of the image or video.
void | setWidth (std::optional< uint32_t > width)
| Sets the width of the image or video.

## Static Public Member Functions
static QXmppFileMetadata | fromFileInfo (const QFileInfo &info)
| Creates a QXmppFileMetadata object from information from QFileInfo.

## Detailed Description

File metadata from XEP-0446: File metadata element.

Since
  QXmpp 1.5

## Member Function Documentation

## ◆ fromFileInfo()

QXmppFileMetadata QXmppFileMetadata::fromFileInfo | ( | const QFileInfo & | info | ) |
| static

Creates a QXmppFileMetadata object from information from QFileInfo.

Sets the filename, file size, media type and the last modification date.

The documentation for this class was generated from the following files:

- QXmppFileMetadata.h
- QXmppFileMetadata.cpp